Interface GoogleSecretManagerEndpointBuilderFactory.GoogleSecretManagerBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- GoogleSecretManagerEndpointBuilderFactory
public static interface GoogleSecretManagerEndpointBuilderFactory.GoogleSecretManagerBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default GoogleSecretManagerEndpointBuilderFactory.GoogleSecretManagerEndpointBuildergoogleSecretManager(String path)Google Secret Manager (camel-google-secret-manager) Manage Google Secret Manager Secrets Category: cloud Since: 3.16 Maven coordinates: org.apache.camel:camel-google-secret-manager Syntax:google-secret-manager:projectPath parameter: project (required) The Google Cloud Project Id name related to the Secret Managerdefault GoogleSecretManagerEndpointBuilderFactory.GoogleSecretManagerEndpointBuildergoogleSecretManager(String componentName, String path)Google Secret Manager (camel-google-secret-manager) Manage Google Secret Manager Secrets Category: cloud Since: 3.16 Maven coordinates: org.apache.camel:camel-google-secret-manager Syntax:google-secret-manager:projectPath parameter: project (required) The Google Cloud Project Id name related to the Secret Manager
-
-
-
Method Detail
-
googleSecretManager
default GoogleSecretManagerEndpointBuilderFactory.GoogleSecretManagerEndpointBuilder googleSecretManager(String path)
Google Secret Manager (camel-google-secret-manager) Manage Google Secret Manager Secrets Category: cloud Since: 3.16 Maven coordinates: org.apache.camel:camel-google-secret-manager Syntax:google-secret-manager:projectPath parameter: project (required) The Google Cloud Project Id name related to the Secret Manager- Parameters:
path- project- Returns:
- the dsl builder
-
googleSecretManager
default GoogleSecretManagerEndpointBuilderFactory.GoogleSecretManagerEndpointBuilder googleSecretManager(String componentName, String path)
Google Secret Manager (camel-google-secret-manager) Manage Google Secret Manager Secrets Category: cloud Since: 3.16 Maven coordinates: org.apache.camel:camel-google-secret-manager Syntax:google-secret-manager:projectPath parameter: project (required) The Google Cloud Project Id name related to the Secret Manager- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- project- Returns:
- the dsl builder
-
-